2019-10-21 16:10 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001535FSSCPgameplaypublic2008-04-30 02:45
ReporterGoober5000 
Assigned ToGoober5000 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001535: bug in state machine
DescriptionApparently when I cleaned up the game states for entering a mission, I introduced a new bug. When restarting a mission from the debriefing screen, the mission goes straight to briefing, without reloading. This leads to all kinds of initialization problems.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008981

Goober5000 (administrator)

Reminder sent to: Goober5000

reminder testing

~0009052

taylor (administrator)

Uhh, didn't you fix this already?

(http://svn.icculus.org/fs2open/trunk/fs2_open/code/missionui/missiondebrief.cpp?r1=4283&r2=4368)

~0009127

Goober5000 (administrator)

Maybe. I need to go back and look.

~0009273

Goober5000 (administrator)

Yup, I fixed it. :)
+Notes

-Issue History
Date Modified Username Field Change
2007-12-03 05:30 Goober5000 New Issue
2007-12-03 05:30 Goober5000 Status new => assigned
2007-12-03 05:30 Goober5000 Assigned To => Goober5000
2008-03-15 19:49 Goober5000 Note Added: 0008981
2008-03-28 14:04 taylor Note Added: 0009052
2008-03-31 23:46 Goober5000 Note Added: 0009127
2008-04-30 02:45 Goober5000 Note Added: 0009273
2008-04-30 02:45 Goober5000 Status assigned => resolved
2008-04-30 02:45 Goober5000 Resolution open => fixed
2008-04-30 02:45 Goober5000 Fixed in Version => 3.6.10
+Issue History